import * as express from 'express';
import * as config from 'config';
import { IViewConfig } from './configuration/view';
import { ISessionConfig } from './configuration/session';
import { axiosSendRequest } from './utils/axios';
import chalk from "./utils/chalk";
/**
 * @param host
 * @param port
 * @param viewConfig
 * @param cookieConfig
 * @param sessionConfig
 */
export default function AppFunc(host: string, port: string | number, viewConfig?: IViewConfig | null, cookieConfig?: string | null, sessionConfig?: ISessionConfig | null): express.Application;
export declare const ch: chalk.Chalk & chalk.ChalkFunction & {
    supportsColor: false | chalk.ColorSupport;
    Level: chalk.Level;
    Color: "black" | "red" | "green" | "yellow" | "blue" | "magenta" | "cyan" | "white" | "gray" | "grey" | "blackBright" | "redBright" | "greenBright" | "yellowBright" | "blueBright" | "magentaBright" | "cyanBright" | "whiteBright" | "bgBlack" | "bgRed" | "bgGreen" | "bgYellow" | "bgBlue" | "bgMagenta" | "bgCyan" | "bgWhite" | "bgGray" | "bgGrey" | "bgBlackBright" | "bgRedBright" | "bgGreenBright" | "bgYellowBright" | "bgBlueBright" | "bgMagentaBright" | "bgCyanBright" | "bgWhiteBright";
    ForegroundColor: "black" | "red" | "green" | "yellow" | "blue" | "magenta" | "cyan" | "white" | "gray" | "grey" | "blackBright" | "redBright" | "greenBright" | "yellowBright" | "blueBright" | "magentaBright" | "cyanBright" | "whiteBright";
    BackgroundColor: "bgBlack" | "bgRed" | "bgGreen" | "bgYellow" | "bgBlue" | "bgMagenta" | "bgCyan" | "bgWhite" | "bgGray" | "bgGrey" | "bgBlackBright" | "bgRedBright" | "bgGreenBright" | "bgYellowBright" | "bgBlueBright" | "bgMagentaBright" | "bgCyanBright" | "bgWhiteBright";
    Modifiers: "bold" | "inverse" | "hidden" | "visible" | "reset" | "dim" | "italic" | "underline" | "strikethrough";
    stderr: chalk.Chalk & {
        supportsColor: false | chalk.ColorSupport;
    };
};
export declare const sendRequest: typeof axiosSendRequest;
export declare const configuration: config.IConfig;
export declare const Express: typeof express;
