"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Express = exports.configuration = exports.sendRequest = exports.ch = void 0;
var express = require("express");
var config = require("config");
var bodyparser_1 = require("./configuration/bodyparser");
var server_1 = require("./configuration/server");
var view_1 = require("./configuration/view");
var session_1 = require("./configuration/session");
var axios_1 = require("./utils/axios");
var chalk_1 = require("./utils/chalk");
var cookie_1 = require("./configuration/cookie");
/**
 * @param host
 * @param port
 * @param viewConfig
 * @param cookieConfig
 * @param sessionConfig
 */
function AppFunc(host, port, viewConfig, cookieConfig, sessionConfig) {
    var app = express();
    app.set("host", host);
    app.set("port", port);
    bodyparser_1.bodyparser(app);
    if (cookieConfig)
        cookie_1.default(app, cookieConfig);
    if (sessionConfig)
        session_1.default(app, sessionConfig);
    if (viewConfig)
        view_1.default(app, viewConfig);
    server_1.default(app);
    return app;
}
exports.default = AppFunc;
exports.ch = chalk_1.default;
exports.sendRequest = axios_1.axiosSendRequest;
exports.configuration = config;
exports.Express = express;
